Package com.google.android.exoplayer2.analytics

## Class PlayerId

- java.lang.Object
- - com.google.android.exoplayer2.analytics.PlayerId

-     public final class PlayerId
      extends Object

  Identifier for a player instance.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PlayerId` | `UNSET` | A player identifier with unset default values that can be used as a placeholder or for testing.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayerId()` | Creates an instance for API < 31.
    `PlayerId​(LogSessionId logSessionId)` | Creates an instance for API ≥ 31.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LogSessionId` | `getLogSessionId()` | Returns the `LogSessionId` for this player instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSET

          public static final PlayerId UNSET

      A player identifier with unset default values that can be used as a placeholder or for testing.

  - ### Constructor Detail

    - #### PlayerId

          public PlayerId()

      Creates an instance for API < 31.

    - #### PlayerId

          @RequiresApi(31)
          public PlayerId​(LogSessionId logSessionId)

      Creates an instance for API ≥ 31.
      Parameters:
        `logSessionId` - The `LogSessionId` used for this player.

  - ### Method Detail

    - #### getLogSessionId

          @RequiresApi(31)
          public LogSessionId getLogSessionId()

      Returns the `LogSessionId` for this player instance.